
body {
    background-color: #cdd0c0;
}

.form {
    top: 10%;
    border-radius: 5px;
    padding: 20px;
    padding-top: 100px;
    padding-bottom: 100px;
}

/* Inputs */
.input {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.input-small {
    width: 100%;
    padding: 4px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.input-small-workhours {
    width: 20%;
    padding: 4px 2px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.company-input {
    width: 90%;
    padding: 12px 20px;
    margin: 8px 0;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.input-holiday {
    width: 45%;
    padding: 4px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.input-ckin {
    width: 30%;
    padding: 4px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.input-calendar {
    width: 45%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.disabled-text {
    color: white;
}

.validation-output {
    min-height: 50px;
    border-style: dashed;
}

/* Buttons */
.disabled {
    opacity: 0.6;
}

.button {
    width: 100%;
    background-color: #362D26;
    color: #c3d4a5;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.button-half {
    width: 45%;
    background-color: #362D26;
    color: #c3d4a5;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.button-san {
    width: 30%;
    background-color: #362D26;
    color: #c3d4a5;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.button-quad {
    width: 20%;
    background-color: #362D26;
    color: #c3d4a5;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.button-clipboard-c {
    width: 8%;
    background-color: #ff0000;
    color: black;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.button-clipboard-p {
    width: 8%;
    background-color: #00ff00;
    color: black;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.new-company-button {
    padding: 10px 10px;
    margin: 8px 2px;
    border-radius: 4px;
}

/* Table */
table {
    border-collapse: collapse;
    width: 100%;
    table-layout: fixed;
}

th {
    border: 1px solid black;
    padding: 8px;
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #362D26;
    color: #c3d4a5;
}

tr {
    border: 1px solid black;
    padding: 8px;
    background-color: #c3d4a5;
}

tr:nth-child(even) {
    border: 1px solid black;
    padding: 8px;
    background-color: #ffffff;
}

td {
    border: 1px solid black;
}

.calendar_nav {
    width: 50px;
}

/* Modals */
.modal {
    display: none; /* Hidden by default */
    position: absolute; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-data {
    display: inline;
    font-weight: bold;
}

.modal-content-company {
    background-color: #28211C;
    position: absolute;
    left: 35%;
    top: 25%;
    width: 30%; /* Full width */
    height: 150px; /* Full height */
    padding: 20px;
    border: 1px solid #888;
    color: #c3d4a5;
}

.modal-content-location {
    background-color: #28211C;
    position: absolute;
    left: 30%;
    top: 20%;
    width: 40%; /* Full width */
    height: 300px; /* Full height */
    padding: 20px;
    border: 1px solid #888;
    color: #c3d4a5;
}

.modal-content-role {
    background-color: #28211C;
    position: absolute;
    left: 30%;
    top: 20%;
    width: 40%; /* Full width */
    height: 350px; /* Full height */
    padding: 20px;
    border: 1px solid #888;
    color: #c3d4a5;
}

.modal-content-users {
    background-color: #28211C;
    position: absolute;
    left: 30%;
    top: 5%;
    width: 40%; /* Full width */
    height: 700px; /* Full height */
    padding: 20px;
    border: 1px solid #888;
    color: #c3d4a5;
}

.modal-content-holiday {
    background-color: #28211C;
    position: absolute;
    left: 30%;
    top: 15%;
    width: 40%; /* Full width */
    height: 480px; /* Full height */
    padding: 20px;
    border: 1px solid #888;
    color: #c3d4a5;
}

.modal-content-meeting {
    background-color: #28211C;
    position: absolute;
    left: 30%;
    top: 5%;
    width: 40%; /* Full width */
    height: 600px; /* Full height */
    padding: 20px;
    border: 1px solid #888;
    color: #c3d4a5;
}

.modal-content-ckin {
    background-color: #28211C;
    position: absolute;
    left: 30%;
    top: 25%;
    width: 40%; /* Full width */
    height: 420px; /* Full height */
    padding: 20px;
    border: 1px solid #888;
    color: #c3d4a5;
}

.modal-content-calendar {
    background-color: #28211C;
    position: absolute;
    left: 30%;
    top: 5%;
    width: 40%; /* Full width */
    height: 580px; /* Full height */
    padding: 20px;
    border: 1px solid #888;
    color: #c3d4a5;
}

.hour-table-content {
    background-color: #28211C;
    position: absolute;
    left: 1%;
    top: 1%;
    width: 96%; /* Full width */
    height: 90%; /* Full height */
    padding: 20px;
    border: 1px solid #888;
    overflow-x: auto;
}



/* CALENDAR */
.entry-info {
    width: 97%;
    position: absolute;
    left: 0;
    opacity: 0.7;
    border-style: solid;
    border-radius: 3px;
}

.day-container {
    width: 100%;
    height: 720px; /* Set from code using the pixelPerMinute constant */
    position: relative;
    margin: 0px;
}